Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05041 Gameplay Critical (emulation) Always Oct 21, 2012, 12:48 Jun 25, 2017, 19:19
Tester EVA7GDB View Status Public Platform MAME (Unofficial Binary)
Assigned To Resolution Open OS Windows XP
Status [?] Confirmed Driver neodriv.hxx
Version 0.147 Fixed in Version Build Normal
Summary 05041: kof2001: Crash in the middle of the ending staff credit.
Description The game crashes in the middle of the ending staff credit with any team combination, it resets to the title screen.
The bug can be seen in any of the parent and clone sets.

--

Originally it had occurred as a symptom since I migrated to NEODRV.C, but had not posted from the recognition that it would be fixed sometime, I think not heal forever, and it's not already noticed anyone, it is allowed to post whats.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems kof2001
Attached Files
zip file icon 7.zip (24,742 bytes) Oct 21, 2012, 20:52 Uploaded by Tafoid
kof2001 (-state 7) about 8 seconds before game resets.
Relationships
There are no relationsihp linked to this issue.
Notes
16
User avatar
No.09048
NekoEd
Senior Tester
Oct 21, 2012, 16:30
If you could please provide a savestate at the beginning of the credits or an INP file to play through the game (both would be even better) that would help us to verify this issue.
User avatar
No.09049
Tafoid
Administrator
Oct 21, 2012, 20:48
edited on: Oct 21, 2012, 20:54
I confirmed using a current SVN of 0.147u1, using kof2001 parent, but I'm sure it'll load in 0.147 without issues (-state 7) save state attached to report. The "BACK DESIGNER" is titled but never shown as the game resets.

User avatar
No.09050
NekoEd
Senior Tester
Oct 21, 2012, 21:11
It loads and works as intended in 0.147u1 - Watchdog reset at the "BACK DESIGNER" credit.
User avatar
No.09053
Reyn
Tester
Oct 27, 2012, 07:58
edited on: Oct 27, 2012, 07:58
Run a test on real HW MV2F with original cart (set kof2001 in current MAME):
There is NO reset at "BACK DESIGNER" credit in staff roll. It is an emulation bug.
For proof see uploaded vid here: http://www.sendspace.com/file/a3tfdk

User avatar
No.09055
Haze
Senior Tester
Oct 27, 2012, 09:43
using what bios? (it could be important)
User avatar
No.09056
Reyn
Tester
Oct 27, 2012, 10:32
edited on: Oct 27, 2012, 10:45
@Haze: Universe Bios 3.0 (i have a registred version with S/N)

If you want to test, Razoola made version 3.0 public some time ago, could be added to MAME?

http://unibios.free.fr/download.html

User avatar
No.09058
EVA7GDB
Tester
Oct 28, 2012, 09:50
Please verify various everyone, in this matter, Thank you.
Also, because my English is insufficient, a little ease not know, also, may not be fit well with the flow here, s I is due

For me, a little older version of MAME32PLUS, that of the time of switching NEODRV.C, MAME you are able to check the symptoms, 0.147 of MAME32FXIn, I have confirmed.

We will use a 32bit version of MAME also either, not in UNIVERSE, using a common type of BIOS, BIOS of NEOGEO are used for emulation is the state of the region JAPANESE.
User avatar
No.09073
Fujix
Administrator
Nov 3, 2012, 11:52
did some cleanups of the description text.

EVA7GDB, we use only official MAME build to test.
Any result using derivatives such like MAMEPlus or FX can't prove anything here.
User avatar
No.09075
NekoEd
Senior Tester
Nov 3, 2012, 21:01
Do we accept reports/notes using UNIVERSE BIOS? I don't recall, but I think we disallow that. Twisty and I both confirmed it with the default BIOS from the savestate Twisty provided. (Though I believe Twisty actually played through it, I just checked the savestate.)
User avatar
No.09076
Tafoid
Administrator
Nov 3, 2012, 21:58
Twisty is not Tafoid.. but yeah - it's confirmed :)
User avatar
No.10371
hap
Developer
Mar 18, 2014, 23:06
please try again with svn #28680 or newer
User avatar
No.10374
Reyn
Tester
Mar 20, 2014, 06:51
edited on: Mar 20, 2014, 06:54
Tested with set kof2001 (svn used where you added simple waitstates). Still here (used Universe Bios 3.1).

The recent fixes by you and awj also have fixed an issue with this: http://www.pouet.net/prod.php?which=59253 (After 3+ minutes the sound went completely silent - Last tested with pre 0.150 - now working fine; tested 15+ minutes).

THANK YOU!

User avatar
No.10375
AWJ
Developer
Mar 20, 2014, 15:53
If it's still resetting, try r28756.
User avatar
No.10376
Reyn
Tester
Mar 20, 2014, 16:38
Applied your change from r28756 and recompiled.
No change still resetting.
Will do clean recompile and test again to be sure
User avatar
No.10377
Reyn
Tester
Mar 20, 2014, 17:00
edited on: Mar 20, 2014, 17:01
Clean recompile - same result: After 'Back Designer' system reset
Tested with both kof2001 and kof2001h set.

User avatar
No.13946
Fujix
Administrator
Jun 25, 2017, 19:19
Reconfirmed in 0.186.